.instagram {
  position: relative;
  padding: 38px 0 42px;

  &__wrapper {
    display: flex;
    flex-wrap: wrap;
    margin: 0 auto;

    @media(min-width: $middle) {
      max-width: 780px;
    }

    @media(min-width: $large) {
      max-width: 100%;
    }
  }

  &__section-title {
    width: 100%;

    @media(min-width: $middle) {
      width: 50%;
    }

    &--small {
      @media(min-width: $middle) {
        display: none;
      }
    }

    &--large {
      display: none;
      @media(min-width: $middle) {
        display: block;
      }
    }
  }

  &__link {
    display: none;
    width: 50%;
    font-size: 13px;
    line-height: 22px;
    @include uppercase-bold;
    color: $dark-color;
    text-align: right;

    @media(min-width: $middle) {
      display: block;
    }
  }

  &__list {
    display: flex;
    width: 100%;
    margin-top: 13px;
  }

  &__item {
    margin: 0 5px;
    width: 301px;

    &:nth-last-child(-n+3) {
      display: none;
    }

    @media(min-width: $middle) {
      width: 250px;

      &:nth-child(-n+3) {
        display: block;
      }
    }

    @media(min-width: $large) {
      width: 285px;

      &:nth-child(4) {
        display: block;
      }
    }
  }

  @media(min-width: $middle) {
    padding: 47px 0 50px;
    background-color: #f7f7f7;
  }
}